Call for Research Proposals — up to $50,000. Deadline June 1, 2026.Apply now
Nfts

Reindex NFT metadata

Triggers reindexing of token metadata for an NFT token. Reindexing can only be called once per hour for each NFT token.

POST
/v1/chains/{chainId}/nfts/collections/{address}/tokens/{tokenId}:reindex
x-glacier-api-key<token>

Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://build.avax.network/console/utilities/data-api-keys.

In: header

Path Parameters

chainIdstring

A supported evm chain id or blockchain id. Use the /chains endpoint to get a list of supported chain ids.

addressstring

Contract address on the relevant chain.

tokenIdstring

TokenId on the contract

Response Body

Successful response

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://data-api.avax.network/v1/chains/43114/nfts/collections/0xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E/tokens/145:reindex"
Empty
{
  "message": "string",
  "statusCode": 400,
  "error": "Bad Request"
}
{
  "message": "string",
  "statusCode": 401,
  "error": "Unauthorized"
}
{
  "message": "string",
  "statusCode": 403,
  "error": "Forbidden"
}
{
  "message": "string",
  "statusCode": 404,
  "error": "Not Found"
}
{
  "message": "string",
  "statusCode": 429,
  "error": "Too Many Requests"
}
{
  "message": "string",
  "statusCode": 500,
  "error": "Internal Server Error"
}
{
  "message": "string",
  "statusCode": 502,
  "error": "Bad Gateway"
}
{
  "message": "string",
  "statusCode": 503,
  "error": "Service Unavailable"
}

Is this guide helpful?